import "./assets/stylesheets/sparnatural.scss";
import SparnaturalComponent from "./sparnatural/components/SparnaturalComponent";
import ISpecProvider from "./sparnatural/spec-providers/ISpecProvider";
import { ISparJson } from "./sparnatural/generators/ISparJson";
import { PreLoadQueries } from "./sparnatural/settings/ISettings";
import { SparnaturalAttributes } from "./SparnaturalAttributes";
export declare class SparnaturalElement extends HTMLElement {
    static HTML_ELEMENT_NAME: string;
    static EVENT_SUBMIT: string;
    static EVENT_QUERY_UPDATED: string;
    static EVENT_RESET: string;
    static EVENT_DISPLAY: string;
    _attributes: SparnaturalAttributes;
    Sparnatural: SparnaturalComponent;
    specProvider: ISpecProvider;
    constructor();
    /**
     * Call display only in the connectedCallback
     */
    connectedCallback(): void;
    set autocomplete(autocomplete: any);
    set list(list: any);
    set dates(dates: any);
    get autocomplete(): any;
    get list(): any;
    get dates(): any;
    display(): void;
    static get observedAttributes(): string[];
    attributeChangedCallback(name: string, oldValue: string | null, newValue: string | null): void;
    /**
     * Enable the play button when a query has finished executing
     * Can be called from the outside. Removes the loading spinner on the btn
     */
    enablePlayBtn(): void;
    /**
     * Disable the play button when query is triggered
     * Can be called from the outside
     */
    disablePlayBtn(): void;
    /**
     * Load a saved/predefined query in the visual query builder
     * Can be called from the outside
     * @param query
     */
    loadQuery(query: ISparJson): void;
    /**
     * Expands the SPARQL query according to the configuration.
     * Can be called from the outside
     * @returns
     */
    expandSparql(query: string): string;
    /**
     * Clears the current query.
     * Can be called from the outside
     */
    clear(): void;
    /**
     * TODO : should be removed
     */
    parseQueries(queries: PreLoadQueries): {
        queryName: string;
        query: string;
    }[];
}
