import { SelectedVal } from "../../../../../generators/ISparJson";
import ISpecProvider from "../../../../../spec-providers/ISpecProvider";
import HTMLComponent from "../../../../HtmlComponent";
import EndClassGroup from "../startendclassgroup/EndClassGroup";
import { WidgetValue } from "../../../../widgets/AbstractWidget";
import WidgetWrapper from "./WidgetWrapper";
import ActionWhere from "../../../../buttons/actions/actioncomponents/ActionWhere";
export declare class SelectAllValue implements WidgetValue {
    static key: string;
    value: {
        label: string;
    };
    key(): string;
    constructor(v: SelectAllValue["value"]);
}
declare enum RENDER_WHERE_ENUM {
    LIST_PROPERTY = "http://data.sparna.fr/ontologies/sparnatural-config-core#ListProperty",
    LITERAL_LIST_PROPERTY = "http://data.sparna.fr/ontologies/sparnatural-config-core#LiteralListProperty",
    RDFS_LITERAL = "http://www.w3.org/2000/01/rdf-schema#Literal",
    AUTOCOMPLETE_PROPERTY = "http://data.sparna.fr/ontologies/sparnatural-config-core#AutocompleteProperty",
    TREE_PROPERTY = "http://data.sparna.fr/ontologies/sparnatural-config-core#TreeProperty",
    NON_SELECTABLE_PROPERTY = "http://data.sparna.fr/ontologies/sparnatural-config-core#NonSelectableProperty"
}
declare class EditComponents extends HTMLComponent {
    #private;
    startClassVal: SelectedVal;
    objectPropVal: SelectedVal;
    endClassVal: SelectedVal;
    actionWhere: ActionWhere;
    widgetWrapper: WidgetWrapper;
    specProvider: ISpecProvider;
    RENDER_WHERE: typeof RENDER_WHERE_ENUM;
    constructor(parentComponent: EndClassGroup, startCassVal: SelectedVal, objectPropVal: SelectedVal, endClassVal: SelectedVal, specProvider: ISpecProvider);
    render(): this;
    renderWidgetsWrapper(): void;
    /**
     * Can be called from the outside when loading queries
     */
    onSelectAll(): void;
    maxDepthIsReached(): boolean;
}
export default EditComponents;
