import ISpecProvider from "../../../../../spec-providers/ISpecProvider";
import OptionalArrow from "../../../../buttons/OptionalArrow";
import HTMLComponent from "../../../../HtmlComponent";
import CriteriaGroup from "../CriteriaGroup";
import NotExistsComponent from "./optioncomponents/NotExistsComponent";
import OptionalComponent from "./optioncomponents/OptionalComponent";
/**
 * Name corresponds to the CSS class set on the CriteriaGroup and the linkWhereBottom
 * See TriggerOption.switchState()
 */
export declare enum OptionTypes {
    OPTIONAL = "optionalEnabled",
    NOTEXISTS = "notExistsEnabled",
    SERVICE = "serviceEnabled",
    NONE = "noOption"
}
/**
 * Contains the components for Optional and not exists arrow.
 * Components can be triggered when:
 * 1. None of the parents rows (list elements) has it already chosen
 **/
export declare class OptionsGroup extends HTMLComponent {
    #private;
    ParentCriteriaGroup: CriteriaGroup;
    OptionalComponent: OptionalComponent;
    NotExistsComponent: NotExistsComponent;
    specProvider: ISpecProvider;
    optionalArrow: OptionalArrow;
    constructor(ParentCriteriaGroup: CriteriaGroup, specProvider: ISpecProvider);
    render(): this;
    onObjectPropertyGroupSelected(optionState: OptionTypes): void;
}
