import ISpecProvider from "../../../../../spec-providers/ISpecProvider";
import StartClassGroup from "./StartClassGroup";
import EndClassGroup from "./EndClassGroup";
import ArrowComponent from "../../../../buttons/ArrowComponent";
import UnselectBtn from "../../../../buttons/UnselectBtn";
import { SelectedVal } from "../../../../../generators/ISparJson";
import SelectViewVariableBtn from "../../../../buttons/SelectViewVariableBtn";
import HTMLComponent from "../../../../HtmlComponent";
/**
 * Handles the selection of a Class, either in the DOMAIN selection or the RANGE selection.
 * The DOMAIN selection happens only for the very first line/criteria.
 * Refactored to extract this from InputTypeComponent.
 **/
declare class ClassTypeId extends HTMLComponent {
    #private;
    ParentComponent: EndClassGroup | StartClassGroup;
    id: string;
    frontArrow: ArrowComponent;
    backArrow: ArrowComponent;
    selectBuilder: ClassSelectBuilder;
    startClassVal: SelectedVal;
    oldWidget: JQuery<HTMLElement>;
    UnselectButton: UnselectBtn;
    selectViewVariableBtn: SelectViewVariableBtn;
    specProvider: ISpecProvider;
    constructor(ParentComponent: HTMLComponent, specProvider: ISpecProvider, startClassVal?: any);
    render(): this;
    renderUnselectBtn(): void;
    highlight(): void;
    showTypeName(): void;
    showVarName(): void;
}
export default ClassTypeId;
/**
 * Builds a selector for a class based on provided domainId, by reading the
 * configuration. If the given domainId is null, this means we populate the first
 * class selection (starting point) so reads all classes that are domains of any property.
 *
 **/
declare class ClassSelectBuilder extends HTMLComponent {
    specProvider: any;
    constructor(ParentComponent: HTMLComponent, specProvider: any);
    render(): this;
    buildSelect_FirstStartClassGroup(): JQuery<HTMLElement>;
    buildSelect_EndClassGroup(domainId: string): JQuery<HTMLElement>;
    buildSelect_StartClassGroupInWhere(selectedClass: string): JQuery<HTMLElement>;
    buildClassSelectFromItems(items: any[], default_value: string): JQuery<HTMLElement>;
}
