import ClassTypeId from "./ClassTypeId";
import ISpecProvider from "../../../../../spec-providers/ISpecProvider";
import { SelectedVal } from "../../../../../generators/ISparJson";
import CriteriaGroup from "../CriteriaGroup";
import HTMLComponent from "../../../../HtmlComponent";
import EditComponents from "../edit-components/EditComponents";
import { AbstractWidget } from "../../../../widgets/AbstractWidget";
/**
 * The "range" select, encapsulating a ClassTypeId, with a niceselect
 **/
declare class EndClassGroup extends HTMLComponent {
    #private;
    variableSelector: any;
    endClassVal: SelectedVal;
    defaultLblVar: SelectedVal;
    inputTypeComponent: ClassTypeId;
    ParentCriteriaGroup: CriteriaGroup;
    specProvider: ISpecProvider;
    editComponents: EditComponents;
    startClassVal: SelectedVal;
    objectPropVal: SelectedVal;
    constructor(ParentCriteriaGroup: CriteriaGroup, specProvider: ISpecProvider);
    render(): this;
    onStartClassGroupSelected(startClassVal: SelectedVal): void;
    onObjectPropertyGroupSelected(objectPropVal: SelectedVal): void;
    renderSelectViewVar(): void;
    getVarName(): string;
    getDefaultLblVar(): string;
    setVarName(name: string): void;
    getTypeSelected(): string;
    /**
     * @returns the widgetComponent inside this EndClassGroup, to examine its characteristics
     * (e.g. determine if single or multiple values)
     */
    getWidgetComponent(): AbstractWidget;
}
export default EndClassGroup;
