import { Pattern } from "sparqljs";
import { SelectedVal } from "../../generators/ISparJson";
import HTMLComponent from "../HtmlComponent";
import { Handler } from "./autocomplete/AutocompleteAndListHandlers";
import LoadingSpinner from "./LoadingSpinner";
export declare enum ValueRepetition {
    SINGLE = 0,
    MULTIPLE = 1
}
export interface WidgetValue {
    value: {
        label: string;
    };
    key: () => string;
}
export declare abstract class AbstractWidget extends HTMLComponent {
    valueRepetition: ValueRepetition;
    protected widgetValues: Array<WidgetValue>;
    startClassVal: SelectedVal;
    objectPropVal: SelectedVal;
    endClassVal: SelectedVal;
    protected blockStartTriple: boolean;
    protected blockObjectPropTriple: boolean;
    protected blockEndTriple: boolean;
    protected spinner: LoadingSpinner;
    protected datasourceHandler: Handler;
    constructor(baseCssClass: string, parentComponent: HTMLComponent, widgetHTML: JQuery<HTMLElement>, startClassVal: SelectedVal, objectPropVal: SelectedVal, endClassVal: SelectedVal, valueRepetition: ValueRepetition);
    render(): this;
    abstract getRdfJsPattern(): Pattern[];
    abstract parseInput(value: WidgetValue["value"]): WidgetValue;
    getSparnaturalRepresentation(): string;
    addWidgetValue(widgetValue: WidgetValue): void;
    getLastValue(): WidgetValue;
    getwidgetValues(): WidgetValue[];
    getVariableValue(selectedVal: SelectedVal): string;
    onRemoveValue(val: WidgetValue): void;
    renderWidgetVal(widgetValue: WidgetValue): void;
    renderWidgetValues(widgetValues: WidgetValue[]): void;
    toggleSpinner(message?: string): void;
    isBlockingStart(): boolean;
    isBlockingObjectProp(): boolean;
    isBlockingEnd(): boolean;
}
