import WidgetWrapper from "../builder-section/groupwrapper/criteriagroup/edit-components/WidgetWrapper";
import L, { LatLng } from "leaflet";
import AddUserInputBtn from "../buttons/AddUserInputBtn";
import { AbstractWidget, WidgetValue } from "./AbstractWidget";
import { Pattern } from "sparqljs";
import "leaflet/dist/leaflet.css";
import "@geoman-io/leaflet-geoman-free";
import "@geoman-io/leaflet-geoman-free/dist/leaflet-geoman.css";
import { SelectedVal } from "../../generators/ISparJson";
export declare class MapWidgetValue implements WidgetValue {
    value: {
        label: string;
        coordinates: LatLng[][];
    };
    key(): string;
    constructor(v: MapWidgetValue["value"]);
}
type ObjectifyLatLng<T> = T extends LatLng[][] ? [[{
    lat: number;
    lng: number;
}]] : T extends object ? {
    [k in keyof T]: ObjectifyLatLng<T[k]>;
} : T;
type ObjectMapWidgetValue = ObjectifyLatLng<MapWidgetValue>;
export default class MapWidget extends AbstractWidget {
    #private;
    protected widgetValues: MapWidgetValue[];
    renderMapValueBtn: AddUserInputBtn;
    map: L.Map;
    drawingLayer: L.Layer;
    constructor(parentComponent: WidgetWrapper, startClassVal: SelectedVal, objectPropVal: SelectedVal, endClassVal: SelectedVal);
    render(): this;
    parseInput(input: ObjectMapWidgetValue["value"]): MapWidgetValue;
    getRdfJsPattern(): Pattern[];
}
export {};
