import { Pattern } from "sparqljs";
import { SelectedVal } from "../../../generators/ISparJson";
import WidgetWrapper from "../../builder-section/groupwrapper/criteriagroup/edit-components/WidgetWrapper";
import { AbstractWidget, WidgetValue } from "../AbstractWidget";
import { AbstractSparqlAutocompleteHandler } from "./AutocompleteAndListHandlers";
export declare class AutoCompleteWidgetValue implements WidgetValue {
    value: {
        label: string;
        uri: string;
    };
    key(): string;
    constructor(v: AutoCompleteWidgetValue["value"]);
}
export declare class AutoCompleteWidget extends AbstractWidget {
    protected widgetValues: AutoCompleteWidgetValue[];
    protected datasourceHandler: AbstractSparqlAutocompleteHandler;
    protected langSearch: any;
    constructor(parentComponent: WidgetWrapper, autocompleteHandler: any, langSearch: any, startClassValue: SelectedVal, objectPropVal: SelectedVal, endClassValue: SelectedVal);
    render(): this;
    parseInput(input: AutoCompleteWidgetValue["value"]): AutoCompleteWidgetValue;
    /**
     * @returns  true if the number of values is 1, in which case the widget will handle the generation of the triple itself,
     * not using a VALUES clause; returns false otherwise.
     */
    isBlockingObjectProp(): boolean;
    /**
     * @returns  true if at least one value is selected, in which case we don't need to insert an rdf:type constraint
     * on the end class
     */
    isBlockingEnd(): boolean;
    getRdfJsPattern(): Pattern[];
}
