import { Pattern } from "sparqljs";
import ISettings from "../../../../sparnatural/settings/ISettings";
import { SelectedVal } from "../../../generators/ISparJson";
import { SparqlTemplateListHandler } from "./../autocomplete/AutocompleteAndListHandlers";
import WidgetWrapper from "../../builder-section/groupwrapper/criteriagroup/edit-components/WidgetWrapper";
import { AbstractWidget, WidgetValue } from "./../AbstractWidget";
import "select2";
import "select2/dist/css/select2.css";
export declare class ListWidgetValue implements WidgetValue {
    value: {
        label: string;
        uri?: string;
    };
    key(): string;
    constructor(v: ListWidgetValue["value"]);
}
export declare class ListWidget extends AbstractWidget {
    protected widgetValues: WidgetValue[];
    datasourceHandler: SparqlTemplateListHandler;
    sort: boolean;
    settings: ISettings;
    selectHtml: JQuery<HTMLElement>;
    constructor(parentComponent: WidgetWrapper, listHandler: SparqlTemplateListHandler, sort: boolean, startClassVal: SelectedVal, objectPropVal: SelectedVal, endClassVal: SelectedVal);
    render(): this;
    buildValue(uri: string, label: string): WidgetValue;
    parseInput(input: ListWidgetValue["value"]): WidgetValue;
    /**
     * @returns  true if the number of values is 1, in which case the widget will handle the generation of the triple itself,
     * not using a VALUES clause; returns false otherwise.
     */
    isBlockingObjectProp(): boolean;
    /**
     * @returns  true if at least one value is selected, in which case we don't need to insert an rdf:type constraint
     * on the end class
     */
    isBlockingEnd(): boolean;
    getRdfJsPattern(): Pattern[];
}
