import { Pattern } from "sparqljs";
import AddUserInputBtn from "../../buttons/AddUserInputBtn";
import InfoBtn from "../../buttons/InfoBtn";
import WidgetWrapper from "../../builder-section/groupwrapper/criteriagroup/edit-components/WidgetWrapper";
import { AbstractWidget, WidgetValue } from "../AbstractWidget";
import "@chenfengyuan/datepicker";
import { SelectedVal } from "../../../generators/ISparJson";
import ISpecProvider from "../../../spec-providers/ISpecProvider";
export declare class DateTimePickerValue implements WidgetValue {
    value: {
        label: string;
        start: Date;
        stop: Date;
    };
    key(): string;
    constructor(v: DateTimePickerValue["value"]);
}
type StringifyDate<T> = T extends Date ? string : T extends object ? {
    [k in keyof T]: StringifyDate<T[k]>;
} : T;
type StringDateTimeValue = StringifyDate<DateTimePickerValue>;
export declare class TimeDatePickerWidget extends AbstractWidget {
    #private;
    protected widgetValues: DateTimePickerValue[];
    datesHandler: any;
    ParentComponent: any;
    dateFormat: any;
    inputStart: JQuery<HTMLElement>;
    inputEnd: JQuery<HTMLElement>;
    inputValue: JQuery<HTMLElement>;
    infoBtn: InfoBtn;
    addValueBtn: AddUserInputBtn;
    value: DateTimePickerValue;
    startClassVal: SelectedVal;
    objectPropVal: SelectedVal;
    endClassVal: SelectedVal;
    specProvider: ISpecProvider;
    constructor(parentComponent: WidgetWrapper, datesHandler: any, dateFormat: any, startClassCal: SelectedVal, objectPropVal: SelectedVal, endClassVal: SelectedVal, specProvider: ISpecProvider);
    render(): this;
    /**
     * We are blocking the generation of the predicate between start and end class
     * if the property is configured with a begin and end date (because the triples will then be generated by this class)
     * @returns true if the property has been configured with a begin and an end date property
     */
    isBlockingObjectProp(): boolean;
    parseInput(input: StringDateTimeValue["value"]): DateTimePickerValue;
    getRdfJsPattern(): Pattern[];
}
export {};
