import { Pattern } from "sparqljs";
import { SelectedVal } from "../../../generators/ISparJson";
import { AbstractWidget, WidgetValue } from "../AbstractWidget";
import "jstree";
import ISettings from "../../../../sparnatural/settings/ISettings";
import WidgetWrapper from "../../builder-section/groupwrapper/criteriagroup/edit-components/WidgetWrapper";
export declare class TreeWidgetValue implements WidgetValue {
    value: {
        label: string;
        uri: string;
    };
    key(): string;
    constructor(v: TreeWidgetValue["value"]);
}
export declare class TreeWidget extends AbstractWidget {
    protected widgetValues: TreeWidgetValue[];
    loaderHandler: any;
    langSearch: any;
    IdCriteriaGroupe: any;
    jsTree: any;
    value: TreeWidgetValue;
    button: any;
    hiddenInput: any;
    startClassVal: SelectedVal;
    objectPropVal: SelectedVal;
    endClassVal: SelectedVal;
    settings: ISettings;
    displayLayer: JQuery<HTMLElement>;
    sort: boolean;
    constructor(parentComponent: WidgetWrapper, loaderHandler: any, settings: ISettings, langSearch: string, startClassVal: SelectedVal, objectPropVal: SelectedVal, endClassVal: SelectedVal, sort: boolean);
    render(): this;
    onTreeDataLoaded: (result: string | any[]) => void;
    onChangedJstree: (e: {
        data: {
            arg1: any;
        };
    }, data: any) => void;
    onClickDisplay: (e: any) => void;
    onClickCancel: (e: any) => void;
    onClickSelect: (e: any) => void;
    onClickClose: (e: any) => void;
    getValue: () => Array<TreeWidgetValue>;
    parseInput(input: TreeWidgetValue["value"]): TreeWidgetValue;
    getRdfJsPattern(): Pattern[];
}
