import { BgpPattern, BlankTerm, FilterPattern, GroupPattern, IriTerm, OptionalPattern, Pattern, PropertyPath, QuadTerm, ServicePattern, Term, Triple, UnionPattern, VariableTerm } from "sparqljs";
import { Literal, Variable } from "@rdfjs/types";
export default class SparqlFactory {
    static sparqlParser: import("sparqljs").SparqlParser;
    static buildBgpPattern(triples: Triple[]): BgpPattern;
    static buildGroupPattern(patterns: Pattern[]): GroupPattern;
    static buildUnionPattern(patterns: Pattern[]): UnionPattern;
    static buildServicePattern(patterns: Pattern[], serviceIRI: IriTerm): ServicePattern;
    static buildSubQuery(patterns: Pattern[]): GroupPattern;
    static buildNotExistsPattern(groupPattern: GroupPattern): FilterPattern;
    static buildOptionalPattern(patterns: Pattern[]): OptionalPattern;
    static buildFilterRegex(texte: Literal, variable: Variable): FilterPattern;
    static buildFilterLangEquals(variable: Variable, lang: Literal): FilterPattern;
    static buildFilterStrInOrEquals(values: Literal[], variable: Variable): FilterPattern;
    static buildFilterStringEquals(texte: Literal, variable: Variable): FilterPattern;
    static buildFilterTime(startDate: Literal, endDate: Literal, variable: Variable): Pattern;
    static buildTriple(subject: IriTerm | BlankTerm | VariableTerm | QuadTerm, predicate: IriTerm | VariableTerm | PropertyPath, object: Term): Triple;
    static buildPropertyPathTriple(subject: IriTerm | BlankTerm | VariableTerm | QuadTerm, predicate: IriTerm | PropertyPath, object: Term): Triple;
    static buildTypeTriple(subject: IriTerm | BlankTerm | VariableTerm | QuadTerm, predicate: IriTerm | PropertyPath, object: Term): Triple | null;
    static buildIntersectionTriple(subj: Variable, pred: string, obj: Variable): Triple | null;
    static parsePropertyPath(path: string): IriTerm | PropertyPath;
}
