import ISpecProvider from "./ISpecProvider";
interface IDataSources {
    queryString?: string;
    queryTemplate?: any;
    labelPath?: any;
    labelProperty?: any;
    childrenPath?: any;
    childrenProperty?: any;
    sparqlEndpointUrl?: any;
    noSort?: any;
}
export default class JsonLdSpecificationProvider implements ISpecProvider {
    #private;
    jsonSpecs: any;
    lang: any;
    constructor(specs: any, lang: any);
    getObjectPropertyType: (objectPropertyId: any) => any;
    getDatasource: (propertyOrClassId: any) => any;
    getTreeRootsDatasource: (propertyOrClassId: any) => any;
    getTreeChildrenDatasource: (propertyOrClassId: any) => any;
    /**
     * {
     *   queryString: "...",
     *   queryTemplate: "...",
     *   labelPath: "...",
     *   labelProperty: "...",
     *   childrenPath: "...",
     *   childrenProperty: "..."
     * }
     **/
    _buildDatasource: (datasourceObject: {
        [x: string]: any;
    }) => IDataSources;
    getIcon: (classId: any) => any;
    getHighlightedIcon: (classId: string) => any;
    getLabel: (classOrPropertyId: string) => any;
    getTooltip: (classOrPropertyId: string) => any;
    getDefaultLabelProperty: (classId: string) => any;
    getServiceEndpoint: (propertyId: string) => any;
    isLogicallyExecutedAfter(propertyId: string): boolean;
    getBeginDateProperty: (propertyId: string) => any;
    getEndDateProperty: (propertyId: string) => any;
    getExactDateProperty: (propertyId: string) => any;
    isEnablingOptional: (propertyId: string) => boolean;
    isEnablingNegation: (propertyId: string) => boolean;
    isMultilingual: (propertyId: string) => boolean;
    getAllSparnaturalClasses: () => any;
    getConnectedClasses: (classId: string) => any[];
    hasConnectedClasses: (classId: string) => boolean;
    getClassesInDomainOfAnyProperty: () => any[];
    getConnectingProperties: (domainClassId: string, rangeClassId: string) => any[];
    isRemoteClass: (classUri: string) => boolean;
    isLiteralClass: (classUri: string) => boolean;
    expandSparql: (sparql: string) => string;
    readRange: (objectProperty: string) => any;
    _sortItemsByIndex: (items: any[]) => any[];
    _inDomainOf: (objectProperty: string, classId: string) => boolean;
    _inRangeOf: (objectProperty: string, classId: string) => boolean;
    _readDomain: (objectProperty: string) => any;
    _readRange: (objectProperty: string) => any;
    _readDomainOrRange: (objectProperty: {
        [x: string]: any;
    }, domainOrRange: string | number) => any[];
    _readValue: (id: any, key: string | number) => any;
    _isObjectProperty: (item: {
        [x: string]: any;
    }) => boolean;
    _getResourceById: (id: any) => any;
    _expand: (id: string) => string;
    _pushIfNotExist: (item: any, items: any[]) => any[];
}
export {};
